Imports System.Runtime.InteropServices

Public Class Form1
    <DllImport("user32.dll", SetLastError:=True)> _
    Private Shared Function SetWindowPos(ByVal hWnd As IntPtr, ByVal hWndInsertAfter As IntPtr, ByVal X As Integer, ByVal Y As Integer, ByVal cx As Integer, ByVal cy As Integer, ByVal uFlags As UInt32) As Boolean
    End Function

    ReadOnly HWND_BOTTOM As New IntPtr(1)
    ReadOnly HWND_TOP As New IntPtr(0)

    Private Const SWP_NOSIZE As UInt32 = &H1
    Private Const SWP_NOMOVE As UInt32 = &H2

    Private Sub btnSendToBottom_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnSendToBottom.Click
        Dim flags As UInt32 = SWP_NOMOVE Or SWP_NOSIZE
        SetWindowPos(Me.Handle, HWND_BOTTOM, 0, 0, 0, 0, flags)
    End Sub

    Private Sub btnBringToTop_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnBringToTop.Click
        Dim flags As UInt32 = SWP_NOMOVE Or SWP_NOSIZE
        SetWindowPos(Me.Handle, HWND_TOP, 0, 0, 0, 0, flags)
    End Sub
End Class
